Bug 600505 - Xephyr utility should be resizable
Xephyr utility should be resizable
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-server (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
: Patch, Triaged
Depends On: 502928
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-04 16:51 EDT by Daniel Walsh
Modified: 2010-11-11 10:02 EST (History)
7 users (show)

See Also:
Fixed In Version: xorg-server-1.7.7-14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 502928
Environment:
Last Closed: 2010-11-11 10:02:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2010-06-04 16:51:19 EDT
+++ This bug was initially created as a clone of Bug #502928 +++

Description of problem:

I should be able to resize Xephyr windows Tools like qemu and sandbox could give the user a better experience if the windows resized properly with the parent window.  

I think the problem is not passing the Resize event down to the Xserver children.

--- Additional comment from fedora-triage-list@redhat.com on 2009-06-09 12:40:41 EDT ---


This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from mcepl@redhat.com on 2009-11-05 13:30:02 EST ---

Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

--- Additional comment from mcepl@redhat.com on 2010-02-26 07:21:11 EST ---

Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]

--- Additional comment from dwalsh@redhat.com on 2010-02-26 11:03:12 EST ---

This bug should stay open.  Moved to F12.  Really need this for RHEL6...

--- Additional comment from mcepl@redhat.com on 2010-03-02 17:36:54 EST ---

note to myself: check in VM

--- Additional comment from dwalsh@redhat.com on 2010-05-24 09:53:32 EDT ---

This patch might help.

https://bugs.freedesktop.org/show_bug.cgi?id=25804

--- Additional comment from tliu@fedoraproject.org on 2010-05-24 15:40:55 EDT ---

Created an attachment (id=416207)
proposed solution for resizing xephyr

This is a modified version of the patch from Dan's link that works.  I have tested it against the current version of xorg from cvs.

--- Additional comment from dwalsh@redhat.com on 2010-05-24 17:28:20 EDT ---

This seems to work, although a little flashy.  Thomas fixed it so it can be wrapped by another application or run on its own.  I need this fix for F13/F14 and RHEL6 if at all possible.
Comment 2 RHEL Product and Program Management 2010-06-07 13:05:28 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Adam Jackson 2010-06-16 16:26:40 EDT
devel ack, seems to work here and the patch looks sane.  Test with:

$ startx -- /usr/bin/Xephyr :1
Comment 7 Dave Airlie 2010-06-23 02:11:28 EDT
MODIFIED

xorg-x11-server-1.7.7-14
Comment 9 releng-rhel@redhat.com 2010-11-11 10:02:30 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.